
#include <string.h>
#include "TextCompare.h"

#if TARGET_RT_MAC_MACHO || qUnix
#	ifndef HAVE_STRICMP
#		define stricmp strcasecmp
#	endif
#	ifndef HAVE_STRNICMP
#		define strnicmp strncasecmp
#	endif
#endif

// implements a more 'user frendly' sort order for character strings

int spec_strcmp( const char* s1, const char* s2) {
	int rc = stricmp( s1, s2);
	if( rc)
		return rc;
	return strcmp( s1, s2);
}
